import java.awt.*;
import java.awt.event.*;

public class LottoFrame1 extends Frame implements WindowListener,
                                                  ActionListener {

 public LottoFrame1(String s) { //konstruktor paramterrel
  super(s); //a Frame osztly konstruktora belltja az ablak cmsort
  }

 public static void main(String[] args) {
  LottoFrame1 frame=new LottoFrame1("Lottszmok");

  MenuItem actionNew=new MenuItem("New");
  MenuItem actionQuit=new MenuItem("Quit");
  Menu menusor=new Menu("Action");
       menusor.setFont(new Font("Arial",Font.BOLD,12));
       menusor.add(actionNew);
       actionNew.addActionListener(frame); //menpont figyelse
       menusor.add(actionQuit);
       actionQuit.addActionListener(frame); //menpont figyelse
  MenuBar fomenu=new MenuBar();
          fomenu.add(menusor);

  frame.setSize(150,100); //belltja az ablak mrett
  frame.addWindowListener(frame); //ablakesemnyek figyelse
  frame.setMenuBar(fomenu); //fmen belltsa
  frame.show(); //kirajzolja az ablakot
  }

 public void paint(Graphics g) {
  int i;
  LottoSzamok lotto=new LottoSzamok();

  lotto.beallit();
  g.drawString("A javasolt lottszmok:",10,60);
  for(i=1;i<=LottoSzamok.MAXL;i++){
   g.drawString(""+lotto.kihuz(i),24*i+10,72);
   }
  }

 public void actionPerformed(ActionEvent ev) {
  if(ev.getActionCommand()=="New") {
   repaint();
   }
  else if (ev.getActionCommand()=="Quit") {
   System.exit(0);
   }
  }

 public void windowOpened(WindowEvent ew) {}
 public void windowClosing(WindowEvent ew) {
  System.exit(0);
  }
 public void windowClosed(WindowEvent ew) {}
 public void windowIconified(WindowEvent ew) {}
 public void windowDeiconified(WindowEvent ew) {}
 public void windowActivated(WindowEvent ew) {}
 public void windowDeactivated(WindowEvent ew) {}

 }